import { BrsValue, ValueKind, BrsBoolean } from "../BrsType";
import { BrsComponent } from "./BrsComponent";
import { BrsType } from "..";
export declare class RoInput extends BrsComponent implements BrsValue {
    readonly kind = ValueKind.Object;
    private port?;
    constructor();
    toString(parent?: BrsType): string;
    equalTo(other: BrsType): BrsBoolean;
    dispose(): void;
    private getNewEvents;
    /** Registers an app to receive roInput events, which are voice commands sent via the Roku remote control. */
    private readonly enableTransportEvents;
    /** Marks a transport command as handled, unhandled, or handled with an error. */
    private readonly eventResponse;
}
